From 55891dbdb03844828082e3899ea89dfa08d0999c Mon Sep 17 00:00:00 2001
From: Stephen Gallagher <sgallagh@redhat.com>
Date: Jan 18 2018 16:36:31 +0000
Subject: [PATCH 10/48] Convert licenses to Modulemd


---

diff --git a/modulemd/__init__.py b/modulemd/__init__.py
index d4c15de..7429e3e 100644
--- a/modulemd/__init__.py
+++ b/modulemd/__init__.py
@@ -413,11 +413,13 @@ class ModuleMetadata(object):
         """
         if not isinstance(s, str):
             raise TypeError("del_module_license: data type not supported")
-        self._module_licenses.discard(s)
+        licenses = self.module.get_module_licenses()
+        licenses.remove(s)
+        self.module.set_module_licenses(licenses)
 
     def clear_module_licenses(self):
         """Clears the module licenses set."""
-        self._module_licenses.clear()
+        self.module.set_module_licenses(Modulemd.SimpleSet())
 
     @property
     def content_licenses(self):
@@ -434,7 +436,7 @@ class ModuleMetadata(object):
                 raise TypeError("content_licenses: data type not supported")
         simpleset = Modulemd.SimpleSet()
         simpleset.set(list(ss))
-        self.module.set_module_licenses(simpleset)
+        self.module.set_content_licenses(simpleset)
 
     def add_content_license(self, s):
         """Adds a content license to the set.
@@ -443,9 +445,9 @@ class ModuleMetadata(object):
         """
         if not isinstance(s, str):
             raise TypeError("add_content_license: data type not supported")
-        simpleset = self.module.get_module_licenses()
+        simpleset = self.module.get_content_licenses()
         simpleset.add(s)
-        self.module.set_module_licenses(simpleset)
+        self.module.set_content_licenses(simpleset)
 
     def del_content_license(self, s):
         """Removes the supplied license from the content licenses set.
@@ -454,11 +456,13 @@ class ModuleMetadata(object):
         """
         if not isinstance(s, str):
             raise TypeError("del_content_license: data type not supported")
-        self._content_licenses.discard(s)
+        licenses = self.module.get_content_licenses()
+        licenses.remove(s)
+        self.module.set_content_licenses(licenses)
 
     def clear_content_licenses(self):
         """Clears the content licenses set."""
-        self._content_licenses.clear()
+        self.module.set_content_licenses(Modulemd.SimpleSet())
 
     @property
     def requires(self):

